Agda.Syntax.Abstract

data Expr

data Declaration

class GetDefInfo a

data ModuleApplication

data Pragma

data LetBinding

type TypeSignature

type Constructor

type Field

data LamBinding

data TypedBindings

data TypedBinding

type Telescope

data Clause

data RHS

data SpineLHS

data LHS

data LHSCore' e

type LHSCore

lhsToSpine

lhsCoreToSpine

lhsCoreAllPatterns

lhsCoreToPattern

mapLHSHead

data Pattern' e

type Pattern

type Patterns

allNames

axiomName

class AnyAbstract a

app

patternToExpr

type PatternSynDefn

type PatternSynDefns

lambdaLiftExpr

substPattern

substExpr

substLetBinding

substTypedBindings

substTypedBinding